Oracle Database Software Requirements

The following table lists the software requirements for Oracle Database on Windows x64:

Table 2-3 Windows x64 Software Requirements

Requirement Value

Operating System

Oracle Database for Windows x64 is supported on the following operating systems:

  • Windows 8.1 x64 - Pro and Enterprise editions

  • Windows 10 x64 - Pro, Enterprise, and Education editions

  • Windows Server 2012 R2 x64 - Standard, Datacenter, Essentials, and Foundation editions

  • Windows Server 2016 x64 - Standard, Datacenter, and Essentials editions

  • Windows Server 2019 x64 - Standard, Datacenter, and Essentials editions

Note:

  • Windows Multilingual User Interface Pack is supported.

  • The Server Core option is not supported.

Virtualization

Oracle certifies the following virtualization technologies with Oracle Database on Windows:

  • Oracle VM Server

  • Microsoft Hyper-V

For more detailed information on certified Oracle VM Server combinations, check My Oracle Support note 464754.1. For more information on certified Hyper-V combinations, you can visit:

http://www.oracle.com/technetwork/database/virtualizationmatrix-172995.html

Compiler and SDK

The following component is supported only with Microsoft Visual C++ 2013 Update 5:

  • Pro*C/C++ : Use Microsoft Visual C++ 2013, to convert the Pro*C/C++ files into C/C++ files, and then use Microsoft Visual C++ 2017 Update 6 or later to further build them.

The following components are supported with the compilers based on Microsoft Visual C++ 2017 Update 6 or later and Intel C++ 17.0 Update 8, and Microsoft Visual C++ 2017 Update 6 or later SDK:

  • Oracle Call Interface

  • External callouts

  • Oracle XML Developer's Kit (XDK)

Oracle C++ Call Interface supports:
  • Compilers based on Microsoft Visual C++ 2017 Update 6 or later and Intel C++ 17.0 Update 8 with Microsoft Visual Studio 2017 STLs

Pro*COBOL supports:

  • Micro Focus Visual COBOL 2.2 - Update 2

Network Protocol

The Oracle Net foundation layer uses Oracle protocol support to communicate with the following industry-standard network protocols:

  • TCP/IP

  • TCP/IP with SSL

  • Named Pipes

Oracle Database Client

To connect to Oracle Database 19c, the following are required:

  • Oracle Database Client is version 11.2.0.4 or later.

  • If the earlier Oracle Database Client is running on the same computer as Oracle Database 19c, then you cannot use a bequeath connection.

Oracle recommends upgrading Oracle Database Client to the latest patchset (11.2.0.4 or later). You can download the patchset from the Patches and Updates section of My Oracle Support at

https://support.oracle.com